SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

CORE_SRC_DIR=$SCRIPT_DIR/../src/base/core

g++ $SCRIPT_DIR/test_runner.cpp \
    $SCRIPT_DIR/../src/base/core/CommandLineArgs.cpp \
    $CORE_SRC_DIR/base_types/Error.cpp \
    $CORE_SRC_DIR/base_types/Index.cpp \
    $CORE_SRC_DIR/data_structures/String.cpp \
    $CORE_SRC_DIR/file_utilities/FileSystemPath.cpp \
    $CORE_SRC_DIR/loggers/ConsoleLogger.cpp \
    $SCRIPT_DIR/test_utils/TestCaseRunner.cpp \
    $SCRIPT_DIR/core/TestString.cpp \
    $SCRIPT_DIR/core/TestVector.cpp \
    -o bootstrap_tests -g \
        -I$SCRIPT_DIR/test_utils \
        -I$CORE_SRC_DIR \
        -I$CORE_SRC_DIR/encoding \
        -I$CORE_SRC_DIR/loggers \
        -I$CORE_SRC_DIR/data_structures \
        -I$CORE_SRC_DIR/base_types \
        -I$CORE_SRC_DIR/memory \
        -I$CORE_SRC_DIR/file_utilities